Workflow Jobs

Modify job

Requires the JOBEDIT security role. Note: responsibleID and responsibleGroupID cannot be set on previousStage, activeStage, or nextStage through this endpoint. To update a stage’s responsible user or group, use PUT /api/workflow/stages/{id}.

put
https://{your-bynder-domain}/api/workflow/jobs/{id}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Body

application/json
accountableIDstring

Id of the user accountable for the job (displayed as Reporter in the UI). This does not update a stage’s responsible user or group; use PUT /api/workflow/stages/{id} for that.

Example:00000000-0000-0000-0000-000000000000

activeStageobject

The new active stage of the job

Show Child Parameters
campaignIDstring

Id of the campaign the job is part of

Example:00000000-0000-0000-0000-000000000000

deadlinestring

Date of when the job ends

Example:2018-09-29

descriptionstring

Description of the job

Example:Job Description

jobMetapropertiesobject

ID and metaproperty values

Example:{"00000000-0000-0000-0000-000000000000":"00000000-0000-0000-0000-000000000000"}

namestring

Name of the job

Example:Job Example

nextStageobject

The new next stage of the job

Show Child Parameters
previousStageobject

The new previous stage of the job

Show Child Parameters

Response

200 application/json

Successful response

job_idstring

Example:00000000-0000-0000-0000-000000000000

statusstring

Example:Updated

put/api/workflow/jobs/{id}

Body

{ "accountableID": "00000000-0000-0000-0000-000000000000", "activeStage": { "id": "00000000-0000-0000-0000-000000000002", "status": "Active" }, "campaignID": "00000000-0000-0000-0000-000000000000", "deadline": "2018-09-29", "description": "Job Description", "jobMetaproperties": { "00000000-0000-0000-0000-000000000000": "00000000-0000-0000-0000-000000000000" }, "name": "Job Example", "nextStage": { "deadline": "2024-08-31T00:00:00+00:00", "id": "00000000-0000-0000-0000-000000000003", "status": "Idle" }, "previousStage": { "deadline": null, "id": "00000000-0000-0000-0000-000000000001", "status": "Approved" } }
 
200 application/json

Campaign jobs

Retrieve the jobs of a specific campaign

Requires the CAMPAIGNOVERVIEW security role.

get
https://{your-bynder-domain}/api/workflow/campaigns/{id}/jobs

Query Parameters

dateCreatedFromstring(date-time)

Retrieve jobs created after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

dateCreatedTostring(date-time)

Set a date range together with the “dateCreated” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

dateModifiedFromstring(date-time)

Retrieve jobs modified after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

dateModifiedTostring(date-time)

Set a date range together with the “dateModified” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

deadlineFromstring(date-time)

Retrieve jobs with a deadline after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

deadlineTostring(date-time)

Retrieve jobs with a deadline before this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

resonsibleIDsstring

Example:00000000000000000000000000000000,00000000000000000000000000000000

accountableIDsstring

Example:00000000000000000000000000000000,00000000000000000000000000000000

statusstring

Example:Approved,NeedsChanges

orderBystring

Example:dateModified desc

limitinteger

Example:100

pageinteger

Example:1

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Response

200 application/json

Successful response

accountableIDstring
basedOnPresetstring
bookedMinutesnumber
campaignIDstring
createdByIDstring
dateCreatedstring
dateFinishedstring
dateModifiedstring
deadlinestring
descriptionstring
idstring
jobFinishedHistoryarray[object]
Show Child Parameters
jobKeystring
jobMetapropertiesobject
job_active_stageobject
Show Child Parameters
job_next_stageobject
Show Child Parameters
job_previous_stageobject
Show Child Parameters
job_stagesarray[object]
Show Child Parameters
namestring
presetIDstring
get/api/workflow/campaigns/{id}/jobs
 
200 application/json

Job media

Retrieve media of specific job

Requires the JOBOVERVIEW security role.

get
https://{your-bynder-domain}/api/workflow/jobs/{id}/media

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Response

200 application/json

Successful response

dateCreatedstring
dateModifiedstring
filenamestring
idstring
orientationstring
original_urlstring
previewsarray[object]
Show Child Parameters
responsible_namestring
statusstring
sub_versionsarray[object]
Show Child Parameters
uploader_namestring
versionnumber
versionParentIDstring
get/api/workflow/jobs/{id}/media
 
200 application/json